/*****************************************************************************
* Copyright (c) 2000 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others, 
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/

// UpdateInfo.h: interface for the CUpdateInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_UPDATEINFO_H__BB4447D7_90EC_4E17_8794_4AD7AD39B95F__INCLUDED_)
#define AFX_UPDATEINFO_H__BB4447D7_90EC_4E17_8794_4AD7AD39B95F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CUpdateInfo  
{
public:
	CUpdateInfo();
	virtual ~CUpdateInfo();
   BOOL  MoveInfFiles(void);
   DWORD CopyInfFiles(CString SourceDir);
   DWORD CopyDistributionFiles(CString DestinationDir);
   BOOL  DevMgrRunning(void);
   BOOL  ExistingDriverNewer(void);
   BOOL  DisableDrivers(void);
   BOOL  UpdateExistingAdapters(void);
   BOOL  UpdateDriverVersion(void);
   BOOL  InstallPamA(void);

public:
   DWORD GetExistingDriverMajor(void) {return m_nMajor;}
   DWORD GetExistingDriverMinor(void) {return m_nMinor;}
   DWORD GetExistingDriverBuildNumber(void) {return m_nBuildNumber;}

private:
   DWORD m_nMajor;
   DWORD m_nMinor;
   DWORD m_nBuildNumber;
   CString m_WorkingDir;   // The full path to the dir the update wizard was started in
                           // where the distribution is located
   CString m_DriverDestDir;
};

#endif // !defined(AFX_UPDATEINFO_H__BB4447D7_90EC_4E17_8794_4AD7AD39B95F__INCLUDED_)
